/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.checkresult;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;

@XmlAccessorType(XmlAccessType.FIELD)
public class GlobalStatistics {

	@XmlElement(name = "model_statistics", required = true)
	private ModelStatistics modelStats;
	
	@XmlElement(name = "global_error_statistics", required = true)
	private GlobalErrorStatistics globalErrorStats;
	
	@XmlElementWrapper(name = "errors")
	@XmlElement(name = "error", required = true)
	private List<ErrorStatistic> errorStats;

	public ModelStatistics getModelStats() {
		return modelStats;
	}

	public void setModelStats(ModelStatistics modelStats) {
		this.modelStats = modelStats;
	}

	public GlobalErrorStatistics getGlobalErrorStats() {
		return globalErrorStats;
	}

	public void setGlobalErrorStats(GlobalErrorStatistics globalErrorStats) {
		this.globalErrorStats = globalErrorStats;
	}
	
	public List<ErrorStatistic> getErrorStats() {
		if (errorStats == null) {
			errorStats = new ArrayList<>();
		}
		return errorStats;
	}

	public void setErrorStats(List<ErrorStatistic> errorStats) {
		this.errorStats = errorStats;
	}

}
